Package ru.bitel.bgbilling.plugins.edo.server.bean

# Class EdoBillManager

java.lang.Object
ru.bitel.bgbilling.plugins.edo.server.bean.EdoBillManager

public class EdoBillManager extends Object
Менеджер, который используется при интеграциях с модулем bill, для выгрузки итд. По задумке в плагине импорты модуля должны быть только здесь, в свою очередь вызовы должны быть только в тех веб-сервисах, которые используются с bill.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EdoBillManager.ProcessedDocument`
  возврат для processDocument, для инкапсуляции того что используется в нескольких местах

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdoBillManager(Connection con, int billModuleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `formatsList()`
  `jakarta.activation.DataSource`
  `getDataSource(int edoDocumentTypeId, int signatoryId, DocumentType billDocType, Integer billDocId)`
  `ExtDocument`
  `sendEdo(int edoDocumentTypeId, int signatoryId, DocumentType billDocType, Integer billDocId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdoBillManager

    public EdoBillManager(Connection con, int billModuleId, int userId)

- ## Method Details

  - ### formatsList

    public List<ru.bitel.bgbilling.common.model.KeyValue> formatsList() throws Exception
    Throws:
      `Exception`

  - ### getDataSource

    public jakarta.activation.DataSource getDataSource(int edoDocumentTypeId, int signatoryId, DocumentType billDocType, Integer billDocId) throws Exception
    Throws:
      `Exception`

  - ### sendEdo

    public ExtDocument sendEdo(int edoDocumentTypeId, int signatoryId, DocumentType billDocType, Integer billDocId) throws Exception
    Throws:
      `Exception`